Bug 187301 - Network port assignments during anaconda setup is mis-assigned.
Network port assignments during anaconda setup is mis-assigned.
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-03-29 15:51 EST by Dan Thurman
Modified: 2008-01-19 23:38 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-19 23:38:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dan Thurman 2006-03-29 15:51:23 EST
Description of problem:

Anaconda chooses eth0 and eth1 ports backawards compared to multi-boot
OS's using the same machine.  Because of this, multi-boot OS's will be
out of sync with the network port assignments since their IP address
assinments will be out of order WRT to Fedora Core 5.  This behavior
is different from previous releases of Fedora.

Version-Release number of selected component (if applicable):

FC 5, final release.  All versions including FC5-T3 has this

How reproducible:

Every time.

Steps to Reproduce:

1. Install FC 5
2. Follow Anaonda's Network Setup instructions: eth0 and eth1 is
   pre-assigned and eth0 and eth1 port assignments are chosen backwards
   compared to other OS's
Actual results:

eth0 is assigned to PCI card first and eth1 is network
chipset on the motherboard.  At least this happens on
my Micron ClientPro system (Old system)

Expected results:

eth0 should be the NIC chipset on the motherboard
then should be NICs on the PCI bus.  Perhaps this
should take the BIOS into account but nevertheless,
other OS's behave but not FC5.

Additional info:

You can delete the NIC default files, ifcfg-eth0/1 located
in directory /etc/sysconfig/network-scripts and if you used
the Gnome Network GUI, delete them same filenames in
/etc/sysconfig/networking/{devices,default} locations.

Once deleted, reboot. Then log in, then run System->administrator->Network
and look at the hardware tab; eth0 and eth1 assignments are shown in proper
order whereas in anaconda, the eth0 and eth1 assignmments are backwards.
Comment 1 antonio montagnani 2006-03-29 16:09:14 EST
Same here on two different boxes with two NIC cards.
If you have an additional card (in my case an ISDN PCI card)this becomes eth0,
the additional NIC card is eth1 and the board NIC is eth2.
This becomes a big mess if you upgrade from FC4 to FC5 as ifgfg-ethx becomes
useless and you have to change configuration parameters, and any configuration
file, i.e. iptables.
And if NIC are two PCI additional cards eth0 becomes eth1 and eth1 becomes eth0
Comment 2 Radek Vokal 2006-03-30 02:42:19 EST
Reassigning to anaconda for some comments
Comment 3 Jeremy Katz 2006-04-10 12:24:05 EDT
The order given by anaconda is just PCI order as enumerated by the kernel
Comment 4 Dave Jones 2006-10-16 14:01:57 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 5 Jon Stanley 2008-01-19 23:38:37 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.